| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# Rndm::Gauss Class Reference

`#include <RndmGenerators.h>`

Inheritance diagram for Rndm::Gauss:

[legend]
Collaboration diagram for Rndm::Gauss:

[legend]

List of all members.

## Detailed Description

Parameters for the Gauss random number generation.

Definition at line 21 of file RndmGenerators.h.

## Public Member Functions
| Gauss (double m, double s)
| Standard Constructor.
virtual | ~Gauss ()
| Standard Destructor.
double | mean () const
| Access mean value of the distribution.
double | sigma () const
| Access width of the distribution.
virtual IRndmGen::Param * | clone () const
| Clone parameters.
## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory.
## Protected Attributes
double | m_mean
| Mean of the Gauss distribution.
double | m_sigma
| Sigma of the Gauss ditribution.
## Friends
class | Generator< Gauss >
| Generator is the friend.

## Constructor & Destructor Documentation

Rndm::Gauss::Gauss | ( | double | m,
|  | double | s |
| ) |  |  | `[inline]`

Standard Constructor.

Definition at line 31 of file RndmGenerators.h.

    00032     : IRndmGen::Param(IID_IRndmGauss), m_mean(m), m_sigma(s)  { }

virtual Rndm::Gauss::~Gauss | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 34 of file RndmGenerators.h.

    00034 {  }

## Member Function Documentation

double Rndm::Gauss::mean | ( |  | ) | const`[inline]`

Access mean value of the distribution.

Definition at line 36 of file RndmGenerators.h.

    00036 {   return m_mean; }

double Rndm::Gauss::sigma | ( |  | ) | const`[inline]`

Access width of the distribution.

Definition at line 38 of file RndmGenerators.h.

    00038 {   return m_sigma; }

static const InterfaceID& Rndm::Gauss::typeID | ( |  | ) | `[inline, static]`

Identifier for factory.

Definition at line 40 of file RndmGenerators.h.

    00040 {   return IID_IRndmGauss; }

virtual IRndmGen::Param* Rndm::Gauss::clone | ( | void |  | ) | const`[inline, virtual]`

Clone parameters.

Implements IRndmGen::Param.

Definition at line 42 of file RndmGenerators.h.

    00042                                          {
    00043       return new Gauss(m_mean, m_sigma);
    00044     }

## Friends And Related Function Documentation

friend class Generator< Gauss >`[friend]`

Generator is the friend.

Definition at line 24 of file RndmGenerators.h.

## Member Data Documentation

double Rndm::Gauss::m_mean`[protected]`

Mean of the Gauss distribution.

Definition at line 26 of file RndmGenerators.h.

double Rndm::Gauss::m_sigma`[protected]`

Sigma of the Gauss ditribution.

Definition at line 28 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/GaudiKernel/RndmGenerators.h